<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aplicación Presupuesto</title>
    <link href="css/estilos.css" rel='stylesheet'/>
</head>
<body onload="cargarApp();">
    <div class="cabecero">
        <div class="presupuesto">
            <div class="presupuesto_titulo">
                Presupuesto Disponible
            </div>
            <div class="presupuesto_valor" id="presupuesto">+ 2,000.00</div>
            <div class="presupuesto_ingreso limpiarEstilos">
                <div class="presupuesto_ingreso--texto">Ingresos</div>
                <div class="derecha">
                    <div class="presupuesto_ingreso--valor" id="ingresos">+4,000.00</div>
                    <div class="presupuesto_ingreso--porcentaje">&nbsp;</div>
                </div>
            </div>
            <div class="presupuesto_egreso limpiarEstilos">
                <div class="presupuesto_egreso--texto">Egresos</div>
                <div class="derecha limpiarEstilos">
                    <div class="presupuesto_egreso--valor" id="egresos">- 1,900.00</div>
                    <div class="presupuesto_egreso--porcentaje" id="porcentaje">45%</div>
                </div>
            </div>
        </div>
    </div>


    <form id="forma" onsubmit="return false;">
        <div class="agregar">
            <div class="agregar_contenedor">
                <select class="agregar_tipo"  id="tipo">
                    <option value="ingreso" selected>+</option>
                    <option value="egreso">-</option>
                </select>
                <input type="text" class="agregar_descripcion"
                placeholder="Agregar Descripción" id="descripcion">
                <input type="number" class="agregar_valor"
                placeholder="Valor" id="valor" step="any"/>
                <button class="agregar_btn" onclick="agregarDato();">
                    <ion-icon name="checkmark-circle-outline"></ion-icon>
                </button>
            </div>
        </div>
    </form>




    <div class="contenedor limpiarEstilos">
        <div class="ingreso">
            <h2 class="ingreso_titulo">Ingresos</h2>
            <div id="lista-ingresos">
                <div class="elemento limpiarEstilos">
                    <div class="elemento_descripcion">Salario</div>
                    <div class="derecha limpiarEstilos">
                        <div class="elemento_valor">+2,000.00</div>
                        <div class="elemento_eliminar">
                            <button class="elemento_eliminar--btn">
                                <ion-icon name="close-circle-outline"></ion-icon>
                            </button>
                        </div>
                    </div>

                </div>
                <div class="elemento limpiarEstilos">
                    <div class="elemento_descripcion">Salario</div>
                    <div class="derecha limpiarEstilos">
                        <div class="elemento_valor">+2,000.00</div>
                        <div class="elemento_eliminar">
                            <button class="elemento_eliminar--btn">
                                <ion-icon name="close-circle-outline"></ion-icon>
                            </button>
                        </div>
                    </div>

                </div>
                

            </div>
        </div>
        <div class="egreso">
            <h2 class="egreso_titulo">Egresos</h2>
            <div id="lista-egresos">
                <div class="elemento limpiarEstilos">
                    <div class="elemento_descripcion">Renta departamento</div>
                    <div class="derecha limpiarEstilos">
                        <div class="elemento_valor">-900.00</div>
                        <div class="elemento_porcentaje">21%</div>
                        <div class="elemento_eliminar">
                            <button class="elemento_eliminar--btn">
                                <ion-icon name="close-circle-outline"></ion-icon>
                            </button>

                        </div>
                    </div>
                </div>
                <div class="elemento limpiarEstilos">
                    <div class="elemento_descripcion">Renta departamento</div>
                    <div class="derecha limpiarEstilos">
                        <div class="elemento_valor">-900.00</div>
                        <div class="elemento_porcentaje">21%</div>
                        <div class="elemento_eliminar">
                            <button class="elemento_eliminar--btn">
                                <ion-icon name="close-circle-outline"></ion-icon>
                            </button>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <script src='js/Dato.js'></script>
    <script src='js/Ingreso.js'></script>
    <script src='js/Egreso.js'></script>
    <script src='js/app.js'></script>
    <script src="https://unpkg.com/ionicons@5.4.0/dist/ionicons.js"></script>
</body>
</html>